Меню

Как установить amarok на линукс

unixforum.org

Форум для пользователей UNIX-подобных систем

Amarok в Debian. Установка. Отсуствуют зависимости.

Модератор: Bizdelnick

Amarok в Debian. Установка. Отсуствуют зависимости.

Сообщение halo » 25.11.2008 22:10

Вопрос. Мне все эти библиотеки вручную выкачивать и доставлять пакетами *.deb? Есть ли способ все автоматом поставить? Спасибо.

Re: Amarok в Debian. Установка. Отсуствуют зависимости.

Сообщение anarhist1 » 25.11.2008 22:44

А через репозитории установить нельзя?

Re: Amarok в Debian. Установка. Отсуствуют зависимости.

Сообщение o6s » 25.11.2008 22:57

gw:/home/o6s# apt-get install amarok
Чтение списков пакетов. Готово
Построение дерева зависимостей
Чтение информации о состоянии. Готово
Будут установлены следующие дополнительные пакеты:
amarok-common amarok-engine-xine amarok-konqsidebar djvulibre-desktop ghostscript gsfonts hal hal-info kamera kcontrol kdebase-bin kdebase-bin-kde3
kdebase-data kdebase-kio-plugins kdeeject kdelibs-data kdelibs4c2a kdemultimedia-kio-plugins kdesktop kfind kicker konqueror libaa1 libakode2 libart-2.0-2
libarts1-akode libarts1c2a libartsc0 libasyncns0 libavahi-client3 libavahi-common-data libavahi-common3 libavahi-qt3-1 libavc1394-0 libavcodec51
libavutil49 libcaca0 libcdparanoia0 libcucul0 libcupsimage2 libcurl3-gnutls libdbus-qt-1-1c2 libdirectfb-extra libdjvulibre21 libfaad0 libfftw3-3 libflac8
libfreebob0 libgd2-noxpm libgphoto2-2 libgphoto2-port0 libgpod3-nogtk libgraphviz4 libgs8 libgsm1 libiec61883-0 libifp4 libilmbase6 libjack0 libjasper1
libkarma0 libkcddb1 libkonq4 libltdl3 liblua50 liblualib50 libmad0 libmagick10 libmodplug0c2 libmpcdec3 libmtp7 libmusicbrainz4c2a libnjb5 libofa0 libogg0
libopenexr6 libpaper-utils libpaper1 libpostproc51 libpulse0 libraw1394-8 libruby1.8 libsamplerate0 libsasl2-modules libsdl1.2debian libsdl1.2debian-alsa
libsmbclient libsmbios-bin libsmbios2 libspeex1 libsplashy1 libtag1c2a libtagc0 libtalloc1 libtheora0 libtunepimp5 libvisual-0.4-0 libvisual-0.4-plugins
libvorbis0a libvorbisenc2 libvorbisfile3 libwavpack1 libwbclient0 libwmf0.2-7 libxcb-shape0 libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console
libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x libxslt1.1 libxvmc1 menu-xdg oss-compat pm-utils pmount powermgmt-base psfontmgr
radeontool ruby ruby1.8 unzip uswsusp vbetool
Предлагаемые пакеты:
amarok-engines moodbar libqt0-ruby1.8 python-qt3 python-dbus libdbus-glib djview4 djvu-viewer evince ghostscript-x hpijs gnome-device-manager khelpcenter
ntpdate ntp-simple gdb djvulibre-bin fam perl-suid lame kicker-applets konq-plugins ksvg libgcj7-awt libjessie-java libfftw3-dev libgd-tools gphoto2 gtkam
libgpod-common jackd libjasper-runtime libwmf-bin html2ps pulseaudio libraw1394-doc libsasl2-modules-otp libsasl2-modules-ldap libsasl2-modules-sql
libsasl2-modules-gssapi-mit libsasl2-modules-gssapi-heimdal libsmbios-doc speex gxine xine-ui libxine1-doc libxine-doc libxine1-gnome cpufrequtils
cryptsetup ruby1.8-examples rdoc1.8 ri1.8 zip splashy
НОВЫЕ пакеты, которые будут установлены:
amarok amarok-common amarok-engine-xine amarok-konqsidebar djvulibre-desktop ghostscript gsfonts hal hal-info kamera kcontrol kdebase-bin kdebase-bin-kde3
kdebase-data kdebase-kio-plugins kdeeject kdelibs-data kdelibs4c2a kdemultimedia-kio-plugins kdesktop kfind kicker konqueror libaa1 libakode2 libart-2.0-2
libarts1-akode libarts1c2a libartsc0 libasyncns0 libavahi-client3 libavahi-common-data libavahi-common3 libavahi-qt3-1 libavc1394-0 libavcodec51
libavutil49 libcaca0 libcdparanoia0 libcucul0 libcupsimage2 libcurl3-gnutls libdbus-qt-1-1c2 libdirectfb-extra libdjvulibre21 libfaad0 libfftw3-3 libflac8
libfreebob0 libgd2-noxpm libgphoto2-2 libgphoto2-port0 libgpod3-nogtk libgraphviz4 libgs8 libgsm1 libiec61883-0 libifp4 libilmbase6 libjack0 libjasper1
libkarma0 libkcddb1 libkonq4 libltdl3 liblua50 liblualib50 libmad0 libmagick10 libmodplug0c2 libmpcdec3 libmtp7 libmusicbrainz4c2a libnjb5 libofa0 libogg0
libopenexr6 libpaper-utils libpaper1 libpostproc51 libpulse0 libraw1394-8 libruby1.8 libsamplerate0 libsasl2-modules libsdl1.2debian libsdl1.2debian-alsa
libsmbclient libsmbios-bin libsmbios2 libspeex1 libsplashy1 libtag1c2a libtagc0 libtalloc1 libtheora0 libtunepimp5 libvisual-0.4-0 libvisual-0.4-plugins
libvorbis0a libvorbisenc2 libvorbisfile3 libwavpack1 libwbclient0 libwmf0.2-7 libxcb-shape0 libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console
libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x libxslt1.1 libxvmc1 menu-xdg oss-compat pm-utils pmount powermgmt-base psfontmgr
radeontool ruby ruby1.8 unzip uswsusp vbetool
обновлено 0, установлено 129 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
Необходимо скачать 86,7MB/90,1MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 239MB.
Хотите продолжить [Д/н]? no
Аварийное завершение.

Вообщем ставим небольшую часть кед и всё ок )
У меня просто в этой системе flux стоит )

Источник

Обзор: Amarok 1.4

Содержание

Автор — Дамен МкГуидан (Damien McGuigan)

Уже существует Amarok версии 2.2, но я буду рассматривать его старую версию 1.4.10. Позже я объясню почему.

В Amarok существует так много особенностей, что рассмотреть здесь их все практически невозможно, поэтому я сделаю обзор только тех, которыми пользуется большинство.

Читайте также:  Как установить файл mtz на андроид

Установка

Если вы счастливый обладатель большой коллекции музыки, то я порекомендую использовать MySQL в качестве базы данных, потому что он быстрее SQLite. Вообще-то я думал, что сделать это будет довольно–таки непросто, но как оказалось, это дело пяти минут, и зависит лишь от скорости соединения с интернетом. Чтобы установить MySQL, введите следующее в консоли:

Введите пароль, который вы хотели бы использовать, и обязательно запишите его, чтобы не забыть.

Замените ‘PASSWORD’ на тот пароль, который вы задали ранее, но не забывайте сохранять кавычки (»)

Выберите MySQL и введите следующие опции:

Имя хоста: 127.0.0.1 База данных: amarok Порт: 3306 Имя пользователя: amarok Пароль: ваш пароль

Мне нравятся простые интерфейсы, где с лёгкостью можно найти то, что тебе необходимо. Это одна из причин, почему я люблю Amarok. Всё, что нужно, находится именно там, где и должно быть, и тебе не приходится искать в интернете, как сделать то или иное действие. Музыкальная коллекция подхватывается очень легко и быстро.

Во вкладке текущего воспроизведения имеется три опции: музыка, текст песни и исполнитель. Вкладка исполнителя получает информацию из Википедии. Вкладка текста песни отображает текст песни, играющей в данный момент, — я использую для этого скрипт LyricWiki. Вкладка музыки отображает дополнительную информацию об исполнителе, включая все его альбомы и часто воспроизводимые композиции.

Обложки альбомов также присутствуют и могут быть получены с amazon.com или из jpeg-файлов из каталога альбома. Если вы захотите, вы сможете отредактировать тэги композиции в плейлисте. Мне кажется это очень удобным, ведь до сих пор я вижу неверные тэги в композициях, которые мне пришлось бы искать несколько дней с помощью различных программ, таких как Kid3.

Этих опций в плейлисте достаточно для большинства пользователей. Но кроме них вы можете использовать такие опции как: 50 случайных композиций, часто проигрываемые композиции определённого исполнителя или ни разу не воспроизводившиеся. Кроме того, вы можете прослушивать радио потоки, которых существует огромное количество, и среди которых вы обязательно найдёте то, что вам по душе.

Кроме того, существует огромное количество скриптов для расширения возможностей Amarok. Как я упоминал ранее, я использую скрипт LyricWiki для текстов песен. И пожалуй, найдутся скрипты для добавления именно того, чего вы захотите.

Хорошо ли это?

Скажу так, я считаю, что Amarok является лучшим проигрывателем не только в Ubuntu, но и на любой другой системе! Используя его всего неделю, я не смог вернуться ни к одному другому проигрывателю. И это, я считаю, хорошо!

Есть ли что-нибудь, что мне не понравилось в Amarok 1.4? Честно? Могу сказать, что ничего. Он выполняет всё именно так, как я хочу, и он очень прост в использовании. Но всё же, хочу сказать про версию Amarok 2. Большинство особенностей из 1.4 были утеряны. И хотя в версии 2.1 некоторые из них были восстановлены, всё же не до конца. И если предложить на выбор, я ни капельки не сомневаясь выберу версию 1.4.

Некоторые могут обвинить меня в переходе на более младшую версию, что не поддерживаю самую новую, но среднестатистический пользователь просто хочет, чтобы всё работало. Грустно сказать, но версия 2 пока не идеальна, но я уверен, что через версию или две она дойдёт до нужной кондиции.

Читайте также:  Как установить музыку на звонок в леново a369i

В зависимости от версии Ubuntu, которую вы используете, вы сможете найти в репозиториях и версию 1.4, и версию 2. В Hardy это 1.4, а в Jaunty — 2. Не уверен насчёт Intrepid. Я устанавливал версию 1.4 в Jaunty по руководству на:

Источник

Установка новейшего пакета (amarok 2.7) в Debian.

Привет всем! Долгое время хотел узнать, можно ли поставить как-либо самый новый пакет в Debian. Сейчас стало особенно актуально: вышел новый amarok 2.7, а у меня в репозитории, Wheezy, есть только 2.6, и то, бета. Есть ли возможность не ждать до глубокой старости и поставить новый пакет так, чтобы не получить проблем с зависимостями. Например, хотел поставить и ветки experimental, но почуял, что не стоит этого делать, так как aptitude предлагал мне снести полсистемы. Есть возможность поставить этот пакет? P.S, кто пробовал новый amarok, можете подсказать, устранили его глюки с открытием audiocd и cue-формата? И перестал ли он подтормаживать?

Есть ли возможность не ждать до глубокой старости и поставить новый пакет

Конечно, установить последнюю Kubuntu и не сношать себе головной мозг.

устранили его глюки с открытием audiocd и cue-формата?

Ставил «на посмотреть», теперь он с cue вообще не работает (archlinux)

Ради пары пакетов? Не думаю, что оно того стоит. Наверняка есть другие способы.

Потом чего-нибудь ещё новенького захочется пощупать. И не вижу смысла держать Debian на домашнем десктопе/лаптопе, тем более с такими запросами как у тебя.

Где можно найти нормальную информацию, не устаревшую? Можно собрать самую новую версию для этой версии Дебиан? Или это в принципе невозможно из-за того, что в ней есть устаревшие компоненты?

Погугли про сборку deb пакетов. Про дебиан конкретно ничего не сказать не могу. Возможно придется еще обновить какие-то компоненты.

Проблем с зависимостями не возникнет потом?

Тогда пользуйся тем, что есть в репах и тем более не надо ничего собирать (да и не соберётся у тебя, man dependencies).
Может статичная сборка какая есть.

К тому же, скоро должны разморозить testing ветку и можно будет ждать обновлений.

Ага, когда amarok 3.0 появится

Use the Gentoo, Luke!

Кстати, у меня сформировался к тебе вопрос: можно ли, например, в убунту поставить старую версию пакета, из старого выпуска? Например мне железно нужен wine 1.4.1. Именно этот. И блоб Nvidia 295.40.

I’d like, but guess it’d be too long:)

sid и брать пакет с experimental. или попробовать собрать самому.

Он в репах и есть последний стабильный. Нужен постоянно последний новый в разработке который — подключай ppa.

Можно, но зачем? Последние блобы намного лучше.

Что можешь сказать про Sid в плане стабильности? Им можно пользоваться? Или глюк на глюке? Серьёзно подумываю о переходе на эту ветку.

Не думаю, что это одно и то же. У меня же Debian с базовой системы собран, а убунту и кубунту, моё мнение, жуткие комбайны.

// про амарок не уверен.

Это кедовые эффекты смотри, т.к. всё нормально везде (кеды не юзаю, не люблю).

Как и везде, с разной степенью изврата/нужности. ^ кедовые эффекты.

Что можешь сказать про Sid в плане стабильности?

Стабильнее той же бубунты, просидел на нем 2 года.

Серьёзно подумываю о переходе на эту ветку.

Для десктопа подходит.

Используйте ветки unstable и experimental, там пакеты обновляются часто. Только обновлять оттуда нужно только то, что тебе действительно нужно. Иначе можно отгрести неприятности.

Читайте также:  Как установить mac os yosemite на старый mac

Есть хороший вариант — использовать playonlinux. В нем можно вертеть вайнпрефиксами с любой существующей версией вайна, очень удобно.

В Canonical тоже так говорят, а разрабы Debian не знают, что Ubuntu не Linux.

убунту и кубунту, моё мнение, жуткие комбайны.

У 12.04 ещё есть minimal-cd, да и не трудно удалить/доставить несколько ненужных тебе приложений если надо.

В Canonical тоже так говорят, а разрабы Debian не знают, что Ubuntu не Linux.
У 12.04 ещё есть minimal-cd, да и не трудно удалить/доставить несколько ненужных тебе приложений если надо.

Кстати, о птичках, некоторые пакеты в Убунту ещё старее, чем в Debian testing (gimp, например) Про 1.5.* я имел в виду wine:)

Я имел в виду 12.04 и соответствующий 13-ый Минт.

Как это «уже только»? Это и есть последнии версии. А в репах, повторяю — последний стабильный (1.4.1).

Кстати, о птичках, некоторые пакеты в Убунту ещё старее, чем в Debian testing (gimp, например)

Есть ppa если хочется новейшии версии (опять же странно — сидишь на «говне мамонта», а желания. ), тысячи их на любой вкус, чего про Debian не скажешь, да и не надо ему, т.к. только stable на серверы/бабушке на ноут.

Как это «уже только»? Это и есть последнии версии. А в репах, повторяю — последний стабильный (1.4.1).

Я в смысле, что иного нет. То есть других версий. Насколько помню, этой версии не было, хотя могу ошибаться. Кстати, сам-то каким дистром пользуешься? Ты первый человек, кто при мне так или иначе рекомендует Убунту. 🙂

Если есть в experimental, то можно сделать так

путь дебианщика

Жди пока wheezy застабилизируется и нужный пакет упадёт в бэкпорты.

Я в смысле, что иного нет. То есть других версий.

А зачем старые версии? Хочется до 1.0 что ли? Найди архив с пакетами/собери пакет сам и поставь.

Насколько помню, этой версии не было, хотя могу ошибаться.

В убунтовских репах всю жизнь (после релиза в 2007 wine 1.0) последний стабильный.

Кстати, сам-то каким дистром пользуешься?

На ноутах Xubuntu (ранее также Debian testing держал, но надоело его допиливать под себя, с Ubuntu в разы быстрее), на этом сейчас 13.04 недельку где-то стоит — полёт нормальный, заметил только пару багов в компизе — некоторые настройки по мелочи не работают пока; и usb-creator-gtk флешку не создавал корректно (несколько дней назад так вообще не запускался), но сегодня на него обновление пришло и работает теперь как надо, обновления по несколько раз в день надоедают, но это понятно — готовят к релизу.

Ты первый человек, кто при мне так или иначе рекомендует Убунту. 🙂

Я не рекомендую, просто мысли вслух, в общем:
— в Ubuntu пакеты свежее;
— есть ppa наверное на все линуксово-десктопные случаи (соответственно база пакетов самая большая);
— пилить окружение (вот твой топик, как пример) под свой вкус и потребности минимум (я в основном всякие центры приложений, социальные фичи и похожие ненужности выпиливаю, типа этого), опять же — есть minimal-cd на 12.04, если так надо;
— всё работает стабильно — не хуже (а в некоторых областях и лучше) чем testing.

Источник